Subject: Re: [RFC] Questions for "Git User's Survey 2011"

From: Jakub Narebski <[email-masked]>
Date: Tue, 2 Aug 2011 15:37:51 +0200

On Sun, 31 Jul 2011, Felipe Contreras wrote:
> 2011/7/25 Jakub Narebski <[email-masked]>:
> > I am planning doing annual Git User's Survey, and I'd like to ask for
> > feedback.
> 
> > === 16. Which of the following Git features do you use? ===
> > (multiple choice, with other)
[...]
> >  + interactive commit / per-hunk comitting / partial commit
[...]
> >  + Other, please specify
> >
> > NOTES:
> > ^^^^^^
> > The problem is come up not with exhaustive list of features: there are
> > too many of them to list.  The problem is coming up with list of
> > important and used enough often features.
> >
> > So: what features should be included in this list?  What features
> > should be removed from above list of answers?
> 
> *staging*! I have suggested this multiple times, it should be here this one!
> 
> - stage add / partial commit / interactive commit / per-hunk comitting
> (e.g. git add -u/-i/-p)
> + stage / partial or interactive commits (e.g. git add -u/-i/-p, git
> diff --cached)

Well, it is there... sort of.  I can certainly extend this answer. 
 
> > === 19. Overall, how happy are you with Git? ===
> > (single choice)
> >
> >  * unhappy
> >  * not so happy
> >  * happy
> >  * very happy
> >  * completely ecstatic
> >
> > NOTES:
> > ^^^^^^
> > I'm not sure if this question is at all useful.
> >
> > There is also problem, that the current wording is considered biased
> > by some, but on the other hand changing wording of answers would make
> > it impossible to compare it to answers from previous surveys...
> 
> What wording would you use?

I think I'll keep what we used before.
 
> > === 20. In your opinion, which areas in Git need improvement? ===
> >        Please state your preference.
> > (matrix)
> >
> >   Columns: don't need / a little / some / much
> >  + user-interface
> >  + documentation
> >  + performance
> >  + more features
> >  + tools (e.g. GUI)
> >  + localization (translation)
> >
> > NOTES:
> > ^^^^^^
> > Are there any general areas that are missing from this list?
> > What are they?
> 
> IDE integration, portability?

Portability, certainly.

IDE integration is a bit out of scope, as it is not strictly about Git
itself, but about Git "ecosystem".

As I wrote in separate email, I am thinking about adding a new question:

  21. In your opinion, what Git tools are needed, and which need improvements?
 
> > == About this survey. Open forum. ==
> >
> > === 26. How did you hear about this Git User's Survey? ===
> > (single choice, with other)
> >
> >  * git mailing list
> >  * git-related mailing list (e.g. msysGit, Git for Human Beings)
> >  * mailing list or forum of some project
> >  * #git IRC channel topic
> >  * announcement on IRC channel
> >  * git homepage
> >  * git wiki
> >  * git hosting site (or blog related to such site)
> >  * software-related web site
> >  * news or social news site (e.g. Digg, Reddit)
> >  * blog (or blog planet)
> >  * other kind of web site
> >  * Twitter or other microblogging platform
> >
> >  * other - please specify
> >
> > NOTES:
> > ^^^^^^
> > This list would of course be updated to reflect the list of (planned)
> > announcement channels.
> >
> > There of course will be announcement on Git Mailing List, and perhaps
> > also on msysGit list / Google Group, and on Git For Human Beings
> > Google Group (if it exists).  I'll announce it on #git, and ask op to
> > put short announcement in channel description, and I can announce it
> > on other IRC channels.  I would add announcement to main page of Git
> > Wiki, and as Git Homepage administrator to put announcement about Git
> > User's Survey.
> >
> > I usually tried to contact administrators of git hosting sites,
> > including git.kernel.org, repo.or.cz, GitHub, Gitorious, Assembla,
> > Codebase and Unfuddle, asking them to put announcement about
> > Git User's Survey either somewhere on the site, or in their blog
> > (if there is any).  What git hosting sites it is worth to ask?
> 
> Google+ (maybe facebook).

They are not git hosting sites ;-)

Anyway, on Google+ there are 36 people who have me in their circles,
I have 28 followers on Twitter.  Identi.ca, Plurk, Facebook - here
I don't have or almost don't have "friends"/"subscribers"/"fans".

That's not much, so please: forward / share.
 
> > I would like to have announcement of Git User's Survey 2010 at
> > LWN.net, but this would need to be send at least two weeks in advance,
> > if I remember correctly.  Is it worth it?  What other news site should
> > I (or you) send announcement to?
> >
> > If you can Digg / Reddit announcment on some site, please do.  I can
> > announce Git User's Survey 2-1- at Twitter, Identi.ca and Plurk, but I
> > don't have wide area of followers.  So please RT.
> 
> I can post it on reddit :)

Thanks in advance.
 
> > Should we contact some bloggers (besides asking Junio to put
> > announcement on his blog) to post an anouncement?  Which bloggers
> > would respond positively (perhaps Linus...)?
> 
> I can post it on gitlog. It looks like there are now many people checking it.

Thanks in advance, again.

-- 
Jakub Narebski
Poland